%define anolis_release 1

%bcond_with tests
Name:           wayland-protocols
Version:        1.31
Release:        %{anolis_release}%{?dist}
Summary:        Wayland protocols that adds functionality not available in the core protocol

License:        MIT
URL:            https://wayland.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/wayland/%{name}/-/releases/%{version}/downloads/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  gcc
BuildRequires:  gcc-g++
BuildRequires:  meson >= 0.55.0
%if %{with tests}
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-server)
%endif

%description
wayland-protocols contains Wayland protocols that adds functionality not
available in the Wayland core protocol. Such protocols either adds
completely new functionality, or extends the functionality of some other
protocol either in Wayland core, or some other protocol in
wayland-protocols.

%package devel
Summary:        Wayland protocols that adds functionality not available in the core protocol

%description devel
wayland-protocols contains Wayland protocols that adds functionality not
available in the Wayland core protocol. Such protocols either adds
completely new functionality, or extends the functionality of some other
protocol either in Wayland core, or some other protocol in
wayland-protocols.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup

%build
%meson \
%if %{with tests}
  -Dtests=true \
%else
  -Dtests=false \
%endif
  %{nil}
%meson_build

%install
%meson_install

%files devel
%license COPYING
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/

%files doc
%doc README.md

%changelog
* Tue Jan 24 2023 Funda Wang <fundawang@yeah.net> - 1.31-1
- Import package for anolis 23
